Package com.google.android.exoplayer2.effect

## Class TextureInfo

- java.lang.Object
- - com.google.android.exoplayer2.effect.TextureInfo

-     public final class TextureInfo
      extends Object

  Contains information describing an OpenGL texture.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `fboId` | Identifier of a framebuffer object associated with the texture.
    `int` | `height` | The height of the texture, in pixels.
    `int` | `texId` | The OpenGL texture identifier.
    `static TextureInfo` | `UNSET` | A `TextureInfo` instance with all fields unset.
    `int` | `width` | The width of the texture, in pixels.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextureInfo​(int texId, int fboId, int width, int height)` | Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNSET

          public static final TextureInfo UNSET

      A `TextureInfo` instance with all fields unset.

    - #### texId

          public final int texId

      The OpenGL texture identifier.

    - #### fboId

          public final int fboId

      Identifier of a framebuffer object associated with the texture.

    - #### width

          public final int width

      The width of the texture, in pixels.

    - #### height

          public final int height

      The height of the texture, in pixels.

  - ### Constructor Detail

    - #### TextureInfo

          public TextureInfo​(int texId,
                             int fboId,
                             int width,
                             int height)

      Creates a new instance.
      Parameters:
        `texId` - The OpenGL texture identifier.
        `fboId` - Identifier of a framebuffer object associated with the texture.
        `width` - The width of the texture, in pixels.
        `height` - The height of the texture, in pixels.